Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.clickthrough
Class AbstractClickEventValidator

    java.lang.Object
      com.bea.p13n.tracking.clickthrough.AbstractClickEventValidator

All Implemented Interfaces
  ClickEventValidator

Direct Known Subclasses:
  ClickCampaignEventValidator, ClickContentEventValidator, ClickProductEventValidator

    public abstract class AbstractClickEventValidator

extends Object
implements ClickEventValidator

Field Summary
`String` | `applicationName`
`String` | `documentId`
`String` | `documentType`
`protected static com.bea.p13n.i18n.TrackingExceptionTextFormatter` | `exceptionFormatter`
`javax.servlet.http.HttpServletRequest` | `req`
`String` | `sessionId`
`String` | `userId`

Constructor Summary
`AbstractClickEventValidator()`

Method Summary
`void` | `initialize(javax.servlet.http.HttpServletRequest request)` Initialize local variables common to all validators.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.p13n.tracking.clickthrough.ClickEventValidator
`validateAndFire`

Field Detail

### exceptionFormatter

    protected static final com.bea.p13n.i18n.TrackingExceptionTextFormatter exceptionFormatter

### sessionId

    public String sessionId

### req

    public javax.servlet.http.HttpServletRequest req

### userId

    public String userId

### applicationName

    public String applicationName

### documentType

    public String documentType

### documentId

    public String documentId

Constructor Detail

### AbstractClickEventValidator

    public AbstractClickEventValidator()

Method Detail

### initialize

    public void initialize(javax.servlet.http.HttpServletRequest request)
                    throws InvalidArgumentException

  Initialize local variables common to all validators.

  Throws
    `InvalidArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved